Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23274
Description

From the Processing Toolbox, the GDAL/OGR tool "Single sided buffers (and offset lines) for lines" works fine when selected the Single
Side Buffer operation. However, it does not work with the Offset Curve operation. | think this is due to an additional parameter not required
by the Offset Curve but is still present.

| have included some minor edits to the ogr2ogronesidebuffer.py script that's saved in:

/.qgis2/python/plugins/processing/algs/gdal/

It seems to work but | am no expert in this matter.

This report was in response to this question posted on GIS.StackExchange:

http://gis.stackexchange.com/questions/202510/how-to-use-the-qgis-gdal-toolbox-offset-lines

Tested on QGIS 2.16.0 64-bit on Windows 7. With Processing Plugin version 2.12.2.

Associated revisions

Revision 1d2b0b4c - 2016-08-01 02:26 PM - Alexander Bruy

[processing] don't apply additional parameter if offset curve operation is used (fix #15342)

Revision 5b2fe1b8 - 2016-08-01 02:28 PM - Alexander Bruy

[processing] don't apply additional parameter if offset curve operation is used (fix #15342)

(cherry picked from commit 1d2b0b4ca7658ed57c4663d9f064cadbbc55381¢€)

Revision 1e1fa182 - 2016-08-01 02:29 PM - Alexander Bruy

[processing] don't apply additional parameter if offset curve operation is used (fix #15342)

(cherry picked from commit 1d2b0b4ca7658ed57c4663d9f064cadbbc55381e)

Revision 6851¢347 - 2016-08-01 02:29 PM - Alexander Bruy
http://gis.stackexchange.com/questions/202510/how-to-use-the-qgis-gdal-toolbox-offset-lines

[processing] don't apply additional parameter if offset curve operation is used (fix #15342)

(cherry picked from commit 1d2b0b4ca7658ed57c4663d9f064cadbbc55381e)

History

#1 - 2016-07-26 04:22 AM - Joseph Liam
- File ogr2ogronesidebuffer.py added

#2 - 2016-08-01 05:26 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"1d2b0b4ca7658ed57¢c4663d9f064ca4bbc55381e".
